from django.urls import path
from .views import (
    CreateUser,
    CreateUserProfile,
    CreateSchool,
    EditSchool,
    DeleteSchool,
    Login,
    Logout,
    PasswordChange,
    Profile,
    School,
)

app_name = 'users'
urlpatterns = [
    path(
        'user/new',
        CreateUser.as_view(),
        name='new-user'
    ),
    path(
        'login',
        Login.as_view(),
        name='login'
    ),
    path(
        'logout',
        Logout.as_view(),
        name='logout',
    ),
    path(
        'change_password',
        PasswordChange.as_view(),
        name='change-password'
    ),
    path(
        'user/<int:pk>/set_school',
        CreateUserProfile.as_view(),
        name='create-userprofile'
    ),
    path(
        'user/<int:pk>',
        Profile.as_view(),
        name='profile',
    ),
    path(
        'school/new',
        CreateSchool.as_view(),
        name='new-school'
    ),
    path(
        'school/<int:pk>',
        School.as_view(),
        name='school'
    ),
    path(
        'school/<int:pk>/edit',
        EditSchool.as_view(),
        name='edit-school'
    ),
    path(
        'school/<int:pk>/delete',
        DeleteSchool.as_view(),
        name='delete-school'
    ),
]
